### Name: stcc.sim
### Title: Simulating Data from an STCC-GARCH$(1,1)$ process
### Aliases: stcc.sim
### Keywords: ts datagen models multivariate

### ** Examples

# Simulating data from the original STCC-GARCH(1,1) process
nobs <- 1000; cut <- 1000
a <- c(0.003, 0.005, 0.001)
A <- diag(c(0.2,0.3,0.15))
B <- diag(c(0.79, 0.6, 0.8))
# Conditional Correlation Matrix for regime 1
R1 <- matrix(c(1.0, 0.4, 0.3, 0.4, 1.0, 0.12, 0.3, 0.12, 1.0),3,3) 
# Conditional Correlation Matrix for regime 2
R2 <- matrix(c(1.0, 0.01, -0.3, 0.01, 1.0, 0.8, -0.3, 0.8, 1.0),3,3)
# a parameter vector for the scale and location parameters 
# in the logistic function
tr.para <- c(5,0)               
# a parameter vector for a GARCH(1,1) transition variable
st.para <- c(0.02,0.04, 0.95)   
nu <- 15
stcc.data <- stcc.sim(nobs, a, A, B, R1, R2, 
                      tr.par=tr.para, st.par=st.para, model="diagonal")
stcc.data.t. <- stcc.sim(nobs, a, A, B, R1, R2, 
                      tr.par=tr.para, st.par=st.para, d.f=nu, model="diagonal")



